## gstrtphdrext gstrtphdrext — Helper methods for dealing with RTP header extensions |

## Functions

gboolean | gst_rtp_hdrext_get_ntp_56 ()
gboolean | gst_rtp_hdrext_get_ntp_64 ()
gboolean | gst_rtp_hdrext_set_ntp_56 ()
gboolean | gst_rtp_hdrext_set_ntp_64 ()

## Includes

    #include <gst/rtp/gstrtphdrext.h>

## Description

## Functions

### gst_rtp_hdrext_get_ntp_56 ()

    gboolean
    gst_rtp_hdrext_get_ntp_56 (gpointer data,
                               guint size,
                               guint64 *ntptime);

Reads the NTP time from the `size` NTP-56 extension bytes in `data` and store the result in `ntptime` .

#### Parameters

data | the data to read from |
size | the size of `data` |
ntptime | the result NTP time |

#### Returns

`TRUE` on success.

### gst_rtp_hdrext_get_ntp_64 ()

    gboolean
    gst_rtp_hdrext_get_ntp_64 (gpointer data,
                               guint size,
                               guint64 *ntptime);

Reads the NTP time from the `size` NTP-64 extension bytes in `data` and store the result in `ntptime` .

#### Parameters

data | the data to read from |
size | the size of `data` |
ntptime | the result NTP time |

#### Returns

`TRUE` on success.

### gst_rtp_hdrext_set_ntp_56 ()

    gboolean
    gst_rtp_hdrext_set_ntp_56 (gpointer data,
                               guint size,
                               guint64 ntptime);

Writes the NTP time in `ntptime` to the format required for the NTP-56 header extension. `data` must hold at least GST_RTP_HDREXT_NTP_56_SIZE bytes.

#### Parameters

data | the data to write to |
size | the size of `data` |
ntptime | the NTP time |

#### Returns

`TRUE` on success.

### gst_rtp_hdrext_set_ntp_64 ()

    gboolean
    gst_rtp_hdrext_set_ntp_64 (gpointer data,
                               guint size,
                               guint64 ntptime);

Writes the NTP time in `ntptime` to the format required for the NTP-64 header extension. `data` must hold at least GST_RTP_HDREXT_NTP_64_SIZE bytes.

#### Parameters

data | the data to write to |
size | the size of `data` |
ntptime | the NTP time |

#### Returns

`TRUE` on success.

## Types and Values

## See Also

GstRTPBasePayload, GstRTPBaseDepayload, gstrtpbuffer